package inf101.v18.rogue101.objects;

import inf101.v18.gfx.gfxmode.ITurtle;
import inf101.v18.gfx.textmode.BlocksAndBoxes;
import inf101.v18.rogue101.game.IGame;

public class FakeWall implements IItem {
    private int hp = getMaxHealth();

    @Override
    public boolean draw(ITurtle painter, double w, double h) {
        return false;
    }

    @Override
    public int getCurrentHealth() {
        return hp;
    }

    @Override
    public int getDefence() {
        return 10;
    }

    @Override
    public int getMaxHealth() {
        return 1;
    }

    @Override
    public String getName() {
        return "fake wall";
    }

    @Override
    public int getSize() {
        return Integer.MAX_VALUE;
    }

    @Override
    public String getSymbol() {
        return "\u001b[47m" + BlocksAndBoxes.BLOCK_FULL + "\u001b[0m";
    }

    @Override
    public int handleDamage(IGame game, IItem source, int amount) {
        hp -= amount;
        return amount;
    }
}
